| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Properties | List of all members
Segment Class Reference

The Segment class holds the properties of a video segment. More...

## Properties
Number | absoluteStartTime
| Returns the start time (in milliseconds) of the video segment in the editor.
Number | duration
| Returns the duration (in milliseconds) of the video segment.
Number | relativeStartTime
| Returns the start time (in milliseconds) of the video segment relative to the source video file.
Number | videoIndex
| Returns a zero-based index of the video file from which the video segment is sourced.

## Detailed Description

The Segment class holds the properties of a video segment.

## Property Documentation

Number videoIndex
| read

Returns a zero-based index of the video file from which the video segment is sourced.

See Also
  Editor.videoProperties